module.exports = function(eleventyConfig) {
    // Copying static assets
    eleventyConfig.addPassthroughCopy("src/style.css");
    eleventyConfig.addPassthroughCopy("src/photo.png");
    eleventyConfig.addPassthroughCopy("src/advent_pro_500.woff2");
    eleventyConfig.addPassthroughCopy("src/advent_pro_600.woff2");
    eleventyConfig.addPassthroughCopy("src/updock_400.woff2");

    // Configuring permalinks to be ~.html instead of ~/
    eleventyConfig.addGlobalData("permalink", () => {
        return (data) => `${data.page.filePathStem}.${data.page.outputFileExtension}`;
    });

    // Options
    return {
        dir: {
            input: "src",
            output: "dist"
        }
    }
};
